Apache JMeter

## org.apache.jmeter.visualizers
Class TableSample

    java.lang.Object
      org.apache.jmeter.visualizers.TableSample

All Implemented Interfaces:
  Serializable, Comparable<TableSample>

    public class TableSample

extends Object
implements Serializable, Comparable<TableSample>

Class to hold data for the TableVisualiser.

See Also:
  Serialized Form

Constructor Summary
`TableSample()` Deprecated. for unit test code only
`TableSample(long totalSamples, int sampleCount, long startTime, String threadName, String label, long elapsed, boolean success, long bytes, long latency)`

Method Summary
`int` `compareTo(TableSample o)`
`boolean` `equals(Object o)`
`long` `getBytes()`
`long` `getElapsed()`
`String` `getLabel()`
`long` `getLatency()`
`String` `getSampleNumberString()`
`long` `getStartTime()`
`String` `getStartTimeFormatted(Format format)`
`String` `getThreadName()`
`int` `hashCode()`
`boolean` `isSuccess()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableSample

    @Deprecated
    public TableSample()

  Deprecated. for unit test code only

### TableSample

    public TableSample(long totalSamples,
                       int sampleCount,
                       long startTime,
                       String threadName,
                       String label,
                       long elapsed,
                       boolean success,
                       long bytes,
                       long latency)

Method Detail

### getBytes

    public long getBytes()

### getSampleNumberString

    public String getSampleNumberString()

### getElapsed

    public long getElapsed()

### isSuccess

    public boolean isSuccess()

### getStartTime

    public long getStartTime()

### getStartTimeFormatted

    public String getStartTimeFormatted(Format format)

  Returns:
    the start time using the specified format Intended for use from Functors

### getThreadName

    public String getThreadName()

### getLabel

    public String getLabel()

### compareTo

    public int compareTo(TableSample o)

  Specified by:
    `compareTo` in interface `Comparable<TableSample>`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getLatency

    public long getLatency()

  Returns:
    the latency

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.